Package logilab :: Package common :: Module registry :: Class NoSelectableObject

[frames] | no frames]

# Class NoSelectableObject

source code

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
                   RegistryException --+
                                       |
                                      NoSelectableObject

    Raised when no object is selectable for a given context.

Instance Methods

__init__(self, args, kwargs, objects) x.__init__(...) initializes x; see help(type(x)) for signature | source code

__str__(self) str(x) | source code

Inherited from `exceptions.Exception`: `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__getslice__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__unicode__` Inherited from `object`: `__format__`, `__hash__`, `__reduce_ex__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `exceptions.BaseException`: `args`, `message` Inherited from `object`: `__class__`

Method Details

### __init__(self, args, kwargs, objects)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Overrides: object.__init__
  (inherited documentation)

### __str__(self)
(Informal representation operator)

source code

str(x)

Overrides: object.__str__
  (inherited documentation)